Package twisted :: Package conch :: Package ssh :: Module userauth

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ssh.userauth

Implementation of the ssh-userauth service. Currently implemented authentication types are public-key and password.

This module is unstable.

Maintainer: Paul Swartz<mailto:z3p@twistedmatrix.com>

Classes
`SSHUserAuthClient` |
`SSHUserAuthServer` |

Variable Summary
`dictionary` | `messages`
`FakeModule` | `MP`
`int` | `MSG_USERAUTH_BANNER`
`int` | `MSG_USERAUTH_FAILURE`
`int` | `MSG_USERAUTH_INFO_REQUEST`
`int` | `MSG_USERAUTH_INFO_RESPONSE`
`int` | `MSG_USERAUTH_PASSWD_CHANGEREQ`
`int` | `MSG_USERAUTH_PK_OK`
`int` | `MSG_USERAUTH_REQUEST`
`int` | `MSG_USERAUTH_SUCCESS`
`SelectReactor` | `reactor`
`string` | `v`

Variable Details

### messages

  Type:
    `dictionary`
  Value:

        {50: 'MSG_USERAUTH_REQUEST',
         51: 'MSG_USERAUTH_FAILURE',
         52: 'MSG_USERAUTH_SUCCESS',
         53: 'MSG_USERAUTH_BANNER',
         60: 'MSG_USERAUTH_PK_OK',
         61: 'MSG_USERAUTH_INFO_RESPONSE'}

### MP

  Type:
    `FakeModule`
  Value:

        <Fake tgmp.MP>

### MSG_USERAUTH_BANNER

  Type:
    `int`
  Value:

        53

### MSG_USERAUTH_FAILURE

  Type:
    `int`
  Value:

        51

### MSG_USERAUTH_INFO_REQUEST

  Type:
    `int`
  Value:

        60

### MSG_USERAUTH_INFO_RESPONSE

  Type:
    `int`
  Value:

        61

### MSG_USERAUTH_PASSWD_CHANGEREQ

  Type:
    `int`
  Value:

        60

### MSG_USERAUTH_PK_OK

  Type:
    `int`
  Value:

        60

### MSG_USERAUTH_REQUEST

  Type:
    `int`
  Value:

        50

### MSG_USERAUTH_SUCCESS

  Type:
    `int`
  Value:

        52

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

### v

  Type:
    `string`
  Value:

        'userauth'

Generated by Epydoc 1.1 on Sat Feb 15 21:17:49 2003 | http://epydoc.sf.net